=== debian/changelog ===
ros-melodic-robot-state-publisher (1.14.1-1bionic) bionic; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#132 <https://github.com/ros/robot_state_publisher/issues/132>)
  * Make sure to make sensor_msgs a catkin dependency. (#123 <https://github.com/ros/robot_state_publisher/issues/123>)
  * Add joint_state_listener to the catkin package LIBRARIES (#112 <https://github.com/ros/robot_state_publisher/issues/112>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, sevangelatos

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 02 Apr 2020 00:00:00 -0000

ros-melodic-robot-state-publisher (1.14.0-1bionic) bionic; urgency=high

  * Revert "Remove dependency on tf and tf_prefix support (#82 <https://github.com/ros/robot_state_publisher/issues/82>)" (#113 <https://github.com/ros/robot_state_publisher/issues/113>)
  * update how compiler flags are added (#104 <https://github.com/ros/robot_state_publisher/issues/104>)
  * update install destination in CMakeLists.txt (#103 <https://github.com/ros/robot_state_publisher/issues/103>)
  * Remove treefksolver completely from the repository. (#100 <https://github.com/ros/robot_state_publisher/issues/100>)
  * changed return code from -1 to 1 since its considered a reserved bash exit code (#98 <https://github.com/ros/robot_state_publisher/issues/98>)
  * Fixed problem when building static library version (#92 <https://github.com/ros/robot_state_publisher/issues/92>) (#96 <https://github.com/ros/robot_state_publisher/issues/96>)
  * Add Ian as a maintainer for robot_state_publisher. (#94 <https://github.com/ros/robot_state_publisher/issues/94>)
  * added warning when joint is found in joint message but not in the urdf (#83 <https://github.com/ros/robot_state_publisher/issues/83>)
  * added ros_warn if JointStateMessage is older than 30 seconds (#84 <https://github.com/ros/robot_state_publisher/issues/84>)
  * Add tcp_no_delay to joint_states subscriber (#80 <https://github.com/ros/robot_state_publisher/issues/80>) (#85 <https://github.com/ros/robot_state_publisher/issues/85>)
  * Remove dependency on tf and tf_prefix support (#82 <https://github.com/ros/robot_state_publisher/issues/82>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>) (#75 <https://github.com/ros/robot_state_publisher/issues/75>)
  * Added c++11 target_compile_options (#78 <https://github.com/ros/robot_state_publisher/issues/78>)
  * Contributors: Chris Lalancette, James Xu, Lukas Bulwahn, Shane Loretz, betab0t, jgueldenstein

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Aug 2019 00:00:00 -0000

ros-melodic-robot-state-publisher (1.13.5-1bionic) bionic; urgency=high

  * Style cleanup throughout the tree.
  * add Chris and Shane as maintainers (#70 <https://github.com/ros/robot_state_publisher/issues/70>)
  * Contributors: Chris Lalancette, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 11 Apr 2017 00:00:00 -0000

ros-melodic-robot-state-publisher (1.13.4-1bionic) bionic; urgency=high

  * Use ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#60 <https://github.com/ros/robot_state_publisher/issues/60>)
  * Error log for empty JointState.position was downgraded to a throttled warning (#64 <https://github.com/ros/robot_state_publisher/issues/64>)
  * Contributors: Jochen Sprickerhof, Sébastien BARTHÉLÉMY

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 05 Jan 2017 00:00:00 -0000

ros-melodic-robot-state-publisher (1.13.3-1bionic) bionic; urgency=high

  * Added a new parameter "ignore_timestamp" (#65 <https://github.com/ros/robot_state_publisher/issues/65>)
  * Fixed joints are not published over tf_static by default (#56 <https://github.com/ros/robot_state_publisher/issues/56>)
  * Fixed segfault on undefined robot_description (#61 <https://github.com/ros/robot_state_publisher/issues/61>)
  * Fixed cmake eigen3 warning (#62 <https://github.com/ros/robot_state_publisher/issues/62>)
  * Contributors: Davide Faconti, Ioan A Sucan, Johannes Meyer, Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Oct 2016 00:00:00 -0000

ros-melodic-robot-state-publisher (1.13.2-1bionic) bionic; urgency=high

  * Add target_link_libraries for joint_state_listener library + install it (#54 <https://github.com/ros/robot_state_publisher//issues/54>)
  * Contributors: Kartik Mohta

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-melodic-robot-state-publisher (1.13.1-1bionic) bionic; urgency=high

  * Add back future dating for robot_state_publisher (#49 <https://github.com/ros/robot_state_publisher/issues/49>) (#51 <https://github.com/ros/robot_state_publisher/issues/51>)
  * Fix subclassing test (#48 <https://github.com/ros/robot_state_publisher/issues/48>)
  * Support for subclassing (#45 <https://github.com/ros/robot_state_publisher/issues/45>)
    * Add joint_state_listener as a library
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 20 May 2016 00:00:00 -0000

ros-melodic-robot-state-publisher (1.13.0-1bionic) bionic; urgency=high

  * fix bad rebase
  * Contributors: Jackie Kay, Paul Bovbel

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-melodic-robot-state-publisher (1.12.1-1bionic) bionic; urgency=high

  * Merge pull request #42 <https://github.com/ros/robot_state_publisher/issues/42> from ros/fix_tests_jade
    Fix tests for Jade
  * Correct failing tests
  * Re-enabling rostests
  * Merge pull request #39 <https://github.com/ros/robot_state_publisher/issues/39> from scpeters/issue_38
  * Fix API break in publishFixedTransforms
    A bool argument was added to
    RobotStatePublisher::publishFixedTransforms
    which broke API.
    I've added a default value of false, to match
    the default specified in the JointStateListener
    constructor.

